cURL
curl --request GET \ --url https://api.breet.io/v1/trades/wallets/{id} \ --header 'X-Breet-Env: <api-key>' \ --header 'x-app-id: <api-key>' \ --header 'x-app-secret: <api-key>'
{ "message": "wallets retrieved successfully", "success": true, "data": { "id": "6932dc98c2ceccdea367388a", "avatar": "https://assets.breet.io/dev/sell/assets/TRX_TEST.png", "name": "Tron Test", "label": "Partner_B-LBNS1M85_label-1", "address": "TV8dNYYBgL3xLbQcJLMBNavY4gYNqPF8Jv", "identifier": "TRX_TEST", "asset": "67063f653b4a1f6c7a60ec58", "currency": "ngn", "vaultId": "123", "type": "crypto", "isAccountBased": true, "isActive": true, "createdAt": "2025-12-05T13:22:36.095Z", "updatedAt": "2025-12-05T13:22:36.095Z" }, "meta": {}, "summary": {}, "stats": {} }
Retrieve a wallet using its unique ID.
Your application ID from the Breet dashboard
Your application secret from the Breet dashboard
Environment selector: development or production
ID of the wallet to retrieve.
Wallet details returned successfully
Was this page helpful?